"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const utils_1 = require("../../utils");
const utils_2 = require("../../utils");
const messages_1 = require("../messages");
const validators_1 = require("../validators");
exports.default = (inquirer, prevAns = {}, seedList) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    (0, messages_1.dslAppIntro)();
    const { useCurrent, appDirectory = prevAns.appDirectory, appName = prevAns.appName, appSeed, } = yield inquirer.prompt([
        {
            name: 'useCurrent',
            type: 'confirm',
            message: 'Create an app in current directory',
            when: !prevAns.appDirectory,
            default: true,
        },
        {
            name: 'appDirectory',
            type: 'select-directory',
            message: 'App parent directory',
            when: (data) => !prevAns.appDirectory && !data.useCurrent,
            basePath: utils_1.basePath,
        },
        {
            name: 'appName',
            type: 'input',
            message: 'App name',
            when: !prevAns.appName,
            validate: validators_1.dslSafeName,
        },
        {
            name: 'appSeed',
            type: 'list',
            message: 'App seed',
            choices: (0, utils_2.mapToSeedChoices)(seedList),
        },
    ]);
    return {
        useCurrent,
        appDirectory: useCurrent ? process.cwd() : appDirectory,
        appName,
        appSeed,
    };
});
